%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Net_POP3

Name:           php-pear-Net-POP3
Version:        1.3.8
Release:        1%{?dist}
Summary:        Provides a POP3 class to access POP3 server

Group:          Development/Languages
License:        BSD
URL:            http://pear.php.net/package/Net_POP3
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2

Requires:       php-pear(PEAR)
Requires:       php-pear(Net_Socket) >= 1.0
Requires(hint): php-pear(Auth_SASL) >= 1.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Provides a POP3 class to access POP3 server. Support all POP3 commands
including UIDL listings, APOP authentication, DIGEST-MD5 and CRAM-MD5 using
optional Auth_SASL package.


%prep
%setup -qc
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/docs ../docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG docdir/*
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net/POP3.php


%changelog
* Thu Oct 28 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.3.8-1
- Version 1.3.8 (stable) - API 1.3.7 (stable) - QA Release
- add generated Changelog

* Wed Aug 18 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.3.7-2
- rename Net_POP3.xml to php-pear-Net-POP3.xml
- set date.timezone during build
- clean define

* Mon Sep 07 2009 Christopher Stone <chris.stone@gmail.com> 1.3.7-1
- Upstream sync
- Remove test dir
- Add doc dir

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 13 2007 Christopher Stone <chris.stone@gmail.com> 1.3.6-2
- Fix Requires for Auth_SASL

* Fri Jan 05 2007 Christopher Stone <chris.stone@gmail.com> 1.3.6-1
- Initial Release
